#ifndef SHELLSCROLLBAR_H
#define SHELLSCROLLBAR_H

#include "glm/vec2.hpp"
#include "scene/meshnode.h"

class SparrowShell;

class ShellScrollBar : public MeshNode
{
    SparrowShell* m_shell;
    glm::ivec2 m_position;
    glm::ivec2 m_dimension;
public:
    ShellScrollBar(Mesh* mesh, SparrowShell* shell, glm::ivec2 dim);
    void update();
};
#endif // SHELLSCROLLBAR_H
